package com.mortals.xhx.common.key;

/**
 * Redis缓存key定义
 */
public class RedisKey {

    /**
     * 登录  key
     */
    public static final String KEY_MENU_CACHE = "iot:base:MenuCacheKey:";
    /**
     * 设备心跳上报
     */
    public static final String KEY_DEVICE_ONLINE_CACHE = "device:online:";


    /**
     * 设备上线更新队列
     */
    public static final String KEY_DEVICE_ONLINE_QUEUE = "device:queue";

    /**
     * 设备通知外部更新队列
     */
    public static final String KEY_DEVICE_THIRDPARTY_QUEUE = "device:thirdparty:queue";

    public static final String KEY_SITE_CACHE = "siteDict";

    public static final String KEY_PLATFORM_CACHE = "platformDict";

    public static final String KEY_PRODUCT_CACHE = "productDict";

    public static final String KEY_TOKEN_API_CACHE = "token:api:";
}
